﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace ErrorHandlingInWF
{
    public sealed partial class Workflow1 : SequentialWorkflowActivity
    {
        public Workflow1()
        {
            InitializeComponent();
        }

        public static DependencyProperty argExceptionProperty = DependencyProperty.Register("argException", typeof(System.ArgumentException), typeof(ErrorHandlingInWF.Workflow1));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Handlers")]
        public ArgumentException argException
        {
            get
            {
                return ((System.ArgumentException)(base.GetValue(ErrorHandlingInWF.Workflow1.argExceptionProperty)));
            }
            set
            {
                base.SetValue(ErrorHandlingInWF.Workflow1.argExceptionProperty, value);
            }
        }

        private void codeActivity1_ExecuteCode(object sender, EventArgs e)
        {
            argException = new ArgumentException("Exception from within try block");
        }
    }

}
